Yii2 替代 fxp/composer-asset-plugin 的方案

03-08 12:15 字数 626 阅读 203 已编辑

Yii官方使用这个composer包来管理对 Bower 和 NPM 包的依赖,但是它是全局安装的,而且composer2.x版本无法正常使用这个包。

可以使用 yidas/yii2-bower-asset 来替代 fxp/composer-asset-plugin,方法如下

1. 打开composer.json 在 yiisoft/yii2 之前添加一行 yidas/yii2-bower-asset

"require": {
    "php": ">=5.4.0",
    "yidas/yii2-bower-asset": "~2.0.5",
    "yiisoft/yii2": "~2.0.5",
    "yiisoft/yii2-bootstrap": "~2.0.0"
}

2. 打开配置文件,基础版是web.php,高级版是main.php,添加或编辑代码。

$config = [
    ...
    'aliases' => [
        '@bower' => '@vendor/yidas/yii2-bower-asset/bower'
    ],
    ...
];

3. 执行命令 composer update and enjoy it

注意

从 2.0.13 开始,基本和高级应用程序模板都默认配置使用 asset-packagist,所以本文只是针对2.0.13以下版本。

0人点赞>
关注 收藏 改进 举报
2 条评论
排序方式 时间 投票
kittyfamous

composer update and enjoy it
composer有and enjoy it 这个命令?

Up骚年
你真幽默
请登录后发表评论
站长 @ 十七度
文章
367
粉丝
23
喜欢
180
收藏
28
排名 : 1
访问 : 85.24万
私信